QGIS Application - Bug report #3047
delimited text plugin: import fails if an extra delimiter is at the end
2010-09-24 03:45 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: C++ Plugins

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupts data: Copied to github as #: 13107
Description

This file is imported:
(UTC);Latitude;Longitude;Depth;Magnitude;Source
2010-09-22 17:06:50,000;44,089;11,608;10,0;1,7;SISBAS

This is not:
(UTC);Latitude;Longitude;Depth;Magnitude;Source;
2010-09-22 17:06:50,000;44,089;11,608;10,0;1,7;SISBAS;

History

#1 - 2010-11-29 09:07 PM - Gary Sherman

Is this still an issue? | tested with 1.7 trunk and it seems to work.

#2 - 2011-03-05 03:08 AM - Volker Frohlich

Both work for me.

#3 - 2011-04-16 05:36 AM - Anne Ghisla
- Resolution set to worksforme
- Status changed from Open to Closed

With commit:f8e10a33 (SVN r15725), adding extra delimiters at end of random lines does not prevent correct loading.

Note that adding an extra delimiter to header line adds an empty column in the preview, but after loading it as new layer it does not appear in the attribute
table.

2025-04-27 1/1




